CRYPTO_AEAD_AUTHSIZE(9)

NAME
crypto_aead_authsize - obtain maximum authentication data size

SYNOPSIS

unsigned int crypto_aead_authsize(struct crypto_aead * tfm);

ARGUMENTS

tfm
    cipher handle

DESCRIPTION

The maximum size of the authentication data for the AEAD cipher referenced by the AEAD cipher handle is returned. The authentication data size may be zero if the cipher implements a hard-coded maximum.

The authentication data may also be known as “tag value”.

RETURN

authentication data size / tag size in bytes

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT